## python-requirements-detector 0.6

=== tests/detection/test1/requirements.txt ===
-i https://example.com/custom/pypi
Django>=1.5.0
South==0.8.2
amqp!=1.0.13
# we want six too
six<1.4,>=1.3.0

=== tests/detection/test6/requirements.txt ===
# core framework
uwsgi
flask

# flask extensions
flask-mail
flask-migrate
flask-oauthlib
flask-script
flask-scrypt
flask-weasyprint
flask-sqlalchemy
#flask-testing
git+git://github.com/jarus/flask-testing.git
flask-jwt
flask-bouncer
flask-restful
flask-marshmallow
flask-assets
flask-collect
awesome-slugify

# testing
#fake-factory
https://github.com/traumtopf/faker/tarball/master
surrealism
freezegun
selenium
testtools

# maybe extensions
#restless
#flash-babel
#flask-restless
#flask-assets
#flask-cache
#flask-classy
#flask-debugtoolbar
#flask-googlemaps
#flask-gravatar
#flask-jinjahelpers
#flask-lesscss
#flask-markdown
#flask-moment
#flask-principal
#flask-restdoc
#flask-runner
#flask-user

# other extensions
#wtforms-alchemy
#sqlalchemy-defaults
#wtforms-components
#wtforms-json

# testing
#coverage

# correctness
#pyflakes
#pep8
#flake8
#pylint
prospector

# other stuff
paypalrestsdk
#outputty
pycountry
#certifi
psycopg2
#raven[flask] # client for sentry (a web application error logger)
git+https://github.com/lazzrek/raven-python.git#egg=raven[flask]
sadisplay==0.3.8dev
isodate
colour-runner
requests
pygeoip

# webassets filters
rjsmin
cssmin

## python-requirements-detector 0.4

=== debian/changelog ===
python-requirements-detector (0.4-2) unstable; urgency=medium

  * deb/rules: set LC_ALL to running tests for build environments with
    locale not set or set non UTF-8 (Closes: #790569).

 -- Daniel Stender <debian@danielstender.com>  Wed, 01 Jul 2015 03:32:51 +0200

python-requirements-detector (0.4-1) unstable; urgency=medium

  * Initial release (Closes: #788208).

 -- Daniel Stender <debian@danielstender.com>  Sat, 27 Jun 2015 08:50:08 +0200

=== debian/control ===
Source: python-requirements-detector
Section: python
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-astroid (>= 1.0.0),
 python-nose,
 python-setuptools,
 python3-all,
 python3-astroid (>= 1.0.0),
 python3-nose,
 python3-setuptools,
 txt2man
Standards-Version: 3.9.6
Homepage: https://github.com/landscapeio/requirements-detector
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-requirements-detector.git
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-requirements-detector.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Testsuite: autopkgtest

Package: python-requirements-detector
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends}
Description: finds and lists the requirements of a Python project (Python 2)
 Requirements-detector could be run either as a module or with its CLI tool
 (detect-requirements). It scans for and lists the project's requirements
 out of several sources for them.
 .
 This package contains the modules for Python 2.

Package: python3-requirements-detector
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: finds and lists the requirements of a Python project
 Requirements-detector could be run either as a module or with its CLI tool
 (detect-requirements). It scans for and lists the project's requirements
 out of several sources for them.
 .
 This package contains the CLI tool and the modules for Python 3.

## python-requirements-detector 0.4.1

=== debian/changelog ===
python-requirements-detector (0.4.1-3) unstable; urgency=medium

  * Change Uploaders to ChangZhuo Chen (Closes: #840093).
  * Bump compat to 10.
  * Bump Standards-Version to 4.0.0.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 19 Jun 2017 22:56:05 +0800

python-requirements-detector (0.4.1-2) unstable; urgency=medium

  * deb/control:
    + update my email address.
    + bump standards version to 3.9.8 (no changes needed).
    + Fixed VCS URL (https) [Ondřej Nový].
    + remove deprecated Testsuite field.
  * deb/copyright:
    + update my email address, expand copyright span.
  * add deb/python3-requirements-detector.lintian-overrides.

 -- Daniel Stender <stender@debian.org>  Fri, 20 Jan 2017 19:52:02 +0100

python-requirements-detector (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + put group into Maintainer (group uploads w/o reconfirmation).
    + bump astroid dependency version.
  * deb/copyright: span copyright, added email data.

 -- Daniel Stender <debian@danielstender.com>  Mon, 18 Jan 2016 21:28:45 +0100

=== debian/control ===
Source: python-requirements-detector
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-astroid (>= 1.4.0),
               python-nose,
               python-setuptools,
               python3-all,
               python3-astroid (>= 1.4.0),
               python3-nose,
               python3-setuptools,
               txt2man,
Standards-Version: 4.0.0
Homepage: https://github.com/landscapeio/requirements-detector
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-requirements-detector.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-requirements-detector.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python-requirements-detector
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: finds and lists the requirements of a Python project (Python 2)
 Requirements-detector could be run either as a module or with its CLI tool
 (detect-requirements). It scans for and lists the project's requirements
 out of several sources for them.
 .
 This package contains the modules for Python 2.

Package: python3-requirements-detector
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: finds and lists the requirements of a Python project
 Requirements-detector could be run either as a module or with its CLI tool
 (detect-requirements). It scans for and lists the project's requirements
 out of several sources for them.
 .
 This package contains the CLI tool and the modules for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

export PYBUILD_NAME=requirements-detector

VERSION := $(shell dpkg-parsechangelog -Sversion | cut -d- -f1)
DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +"%F" -f -)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python-requirements-detector/usr/bin

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="LC_ALL=C.UTF-8 {interpreter} -m nose --verbose" dh_auto_test

override_dh_installdocs:
	dh_installdocs -A README.md

override_dh_installman:
	txt2man -s 1 -v "python3-requirements-detector" -t "detect-requirements" \
	-r "$(VERSION)" -d "$(DEBDATE)" debian/detect-requirements.txt > .pybuild/detect-requirements.1
	dh_installman -ppython3-requirements-detector .pybuild/detect-requirements.1

## python-requirements-detector 0.6

=== debian/changelog ===
python-requirements-detector (0.6-4) unstable; urgency=medium

  * Team upload.
  * Switch watch file to GitHub tags. The releases page doesn't link to
    tarballs any more.
  * Patch: Support setuptools >= 60. (Closes: #1022483)
  * Migrate from nose to pytest. (Closes: #1018574)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Nov 2022 22:22:16 +0200

python-requirements-detector (0.6-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 23:35:23 -0400

python-requirements-detector (0.6-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Enable autopkgtest-pkg-python testsuite
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Fri, 02 Aug 2019 07:40:18 +0200

python-requirements-detector (0.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump compat to 11.
  * Bump Standards-Version to 4.1.5.
  * Add d/upstream/metadata.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 28 Jul 2018 09:59:46 +0800

=== debian/control ===
Source: python-requirements-detector
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-astroid (>= 1.4.0),
               python3-pytest,
               python3-setuptools,
               txt2man,
Standards-Version: 4.5.1
Homepage: https://github.com/landscapeio/requirements-detector
Vcs-Git: https://salsa.debian.org/python-team/packages/python-requirements-detector.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-requirements-detector
Testsuite: autopkgtest-pkg-python

Package: python3-requirements-detector
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: finds and lists the requirements of a Python project
 Requirements-detector could be run either as a module or with its CLI tool
 (detect-requirements). It scans for and lists the project's requirements
 out of several sources for them.
 .
 This package contains the CLI tool and the modules for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,10 @@
 DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +"%F" -f -)
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
-
-override_dh_auto_install:
-	dh_auto_install
-	rm -rf debian/python-requirements-detector/usr/bin
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="LC_ALL=C.UTF-8 {interpreter} -m nose --verbose" dh_auto_test
+	LC_ALL=C.UTF-8 dh_auto_test
 
 override_dh_installdocs:
 	dh_installdocs -A README.md

=== debian/tests/control ===
Tests: python3-requirements-detector
Depends: python3-all, python3-pytest, python3-astroid

## python-requirements-detector 1.2.2

=== tests/detection/test1/requirements.txt ===


=== debian/changelog ===
python-requirements-detector (1.2.2-2) unstable; urgency=medium

  * Team upload.
  * Update lintian override info format
  * Update standards version to 4.6.2, no changes needed.
  * Add missing build-dependency on python3-poetry-core.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 27 Jun 2024 07:44:00 +0200

python-requirements-detector (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add new build dependencies:
    * pybuild-plugin-pyproject
    * python3-poetry
    * python3-semver
  * Fix FTBFS with current python3-astroid
  * Fix autopkgtest to allow python3-astroid migration
  * Use new dh-sequence-python3
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Fri, 12 Apr 2024 08:06:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,18 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-astroid (>= 1.4.0),
+               python3-poetry,
                python3-pytest,
+               python3-semver,
                python3-setuptools,
                txt2man,
-Standards-Version: 4.5.1
+               python3-poetry-core,
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Homepage: https://github.com/landscapeio/requirements-detector
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-requirements-detector.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-requirements-detector

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +"%F" -f -)
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 	LC_ALL=C.UTF-8 dh_auto_test

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/landscapeio/requirements-detector/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
# better than Pypi tarball, ships with LICENSE, README.md and tests

## python-requirements-detector 1.3.2

=== tests/detection/test6/requirements.txt ===


=== debian/changelog ===
python-requirements-detector (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.2

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 May 2025 14:46:25 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                txt2man,
                python3-poetry-core,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/landscapeio/requirements-detector
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-requirements-detector.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-requirements-detector

=== debian/tests/control ===
Tests: python3-requirements-detector
Depends: @, python3-all, python3-pytest
